gnutls_sign_get_pk_algorithm(3)

NAME
gnutls_sign_get_pk_algorithm - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_pk_algorithm_t gnutls_sign_get_pk_algorithm(gnutls_sign_algorithm_t sign);

ARGUMENTS

gnutls_sign_algorithm_t sign
    is a signature algorithm

DESCRIPTION
This function returns the public key algorithm corresponding to the given signature algorithms.

SINCE
3.1.1

RETURNS
return a gnutls_pk_algorithm_t value, or GNUTLS_PK_UNKNOWN on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/